﻿@model List<ItemMasterView>
<div id="TableItems">
    <table class="table table-striped">
        <thead>
            <tr>
                <th>&nbsp;</th>
                <th>@PurchaseOrders.Code</th>
                <th>@PurchaseOrders.Description</th>
                @if (Model.Count > 0)
                {
                    if (Model.FirstOrDefault().MappedUdf.Count > 0)
                    {
                        foreach (var DictRow in Model.FirstOrDefault().MappedUdf)
                        {
                            <th>@DictRow.UDFDesc</th>
                        }
                    }
                }
            </tr>
        </thead>
        <tbody>
            @if (Model != null)
            {
                foreach (ItemMasterView item in Model)
                {
                    <tr>
                        <td>
                            <input type="checkbox" value='@item.ItemCode'>
                        </td>
                        <td>@item.ItemCode  </td>
                        <td>@item.ItemName</td>
                        @if (item.MappedUdf.Count > 0)
                        {
                            foreach (var DictRow in item.MappedUdf)
                            {
                                <td>
                                    @if (DictRow.ListUFD1.Count > 0)
                                    {
                                        foreach (var interna in DictRow.ListUFD1)
                                        {
                                            if (interna.FldValue == DictRow.Value)
                                            {
                                                <span>@interna.Descr</span>
                                            }
                                        }
                                    }
                                    else
                                    {
                                        <span>@DictRow.Value</span>
                                    }
                                </td>
                            }
                        }
                    </tr>
                }
            }
        </tbody>
    </table>
</div>
